Package ru.bgcrm.model.param

# Class ParameterEmailValue

java.lang.Object
ru.bgcrm.model.param.ParameterEmailValue

public class ParameterEmailValue extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParameterEmailValue()`
  `ParameterEmailValue(String email)`
  `ParameterEmailValue(String email, String comment)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getComment()`
  `String`
  `getDomain()`
  `String`
  `getUsername()`
  `String`
  `getValue()`
  `int`
  `hashCode()`
  `void`
  `setComment(String comment)`
  `void`
  `setValue(String value)`
  Setter.
  `String`
  `toString()`
  `static final String`
  `toString(Iterable<ParameterEmailValue> emails)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ParameterEmailValue

    public ParameterEmailValue()

  - ### ParameterEmailValue

    public ParameterEmailValue(String email)

  - ### ParameterEmailValue

    public ParameterEmailValue(String email, String comment)

- ## Method Details

  - ### setValue

    public void setValue(String value) throws BGMessageException
    Setter.
    Parameters:
      `value` - Email value.
    Throws:
      `BGMessageException` - when not Email value is being set.

  - ### getValue

    public String getValue()
    Returns:
      Email value.

  - ### getUsername

    public String getUsername()
    Returns:
      part of Email before `@`.

  - ### getDomain

    public String getDomain()
    Returns:
      part of Email after `@`.

  - ### getComment

    public String getComment()
    Returns:
      person's title.

  - ### setComment

    public void setComment(String comment)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toString

    public static final String toString(Iterable<ParameterEmailValue> emails)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`